##
##  postgresql-groonga.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_pgroonga_base 3.2.0
%define       V_pgroonga_snap 20240418

#   package information
Name:         postgresql-groonga
Summary:      PostgreSQL Extension: PGroonga
URL:          http://pgroonga.github.io/
Vendor:       Kouhei Sutou et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      PostgreSQL
Version:      %{V_pgroonga_base}.%{V_pgroonga_snap}
Release:      20240418

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/pgroonga/pgroonga-%{V_pgroonga_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  postgresql, groonga
PreReq:       postgresql, groonga

%description
    PGroonga makes PostgreSQL fast full text search platform for all
    languages with the help of the Groonga full text search engine.

%track
    prog postgresql-groonga:base = {
        version   = %{V_pgroonga_base}
        url       = https://github.com/pgroonga/pgroonga/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }
    prog postgresql-groonga:snap = {
        version   = %{V_pgroonga_snap}
        url       = http://download.openpkg.org/components/versioned/pgroonga/
        regex     = pgroonga-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n pgroonga

%build
    %{l_make} %{l_mflags} \
        USE_PGXS=1 \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O} \$(COPT)" \
        CPPFLAGS="%{l_cppflags groonga .} -I`pwd`/vendor/xxHash" \
        LDFLAGS="%{l_ldflags}" \
        -f pgroonga.mk \
        pgroonga.so

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/postgresql \
        $RPM_BUILD_ROOT%{l_prefix}/share/postgresql/extension
    %{l_shtool} install -c -m 644 \
        pgroonga.so \
        $RPM_BUILD_ROOT%{l_prefix}/lib/postgresql/
    %{l_shtool} install -c -m 644 \
        pgroonga.control \
        data/pgroonga-*.sql \
        $RPM_BUILD_ROOT%{l_prefix}/share/postgresql/extension/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

